/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.common
 *  ファイル：CommonUtils.java
 *  説明：ユーティリティクラスです。
 *
 *  作成日: 2004/01/14
 */
package openolap.viewer.common;

import java.util.ArrayList;

/**
 *  クラス：CommonUtils<br>
 *  説明：ユーティリティクラスです。
 */
public class CommonUtils {

	// ********** メソッド **********

	/**
	 * 与えられたbooleanがtrueであれば"1"、falseであれば"0"を戻す。
	 * @param b boolean
	 * @return "1"(true) あるいは "0"(false)
	 */
	public static String boolToFLG(boolean b){
		if (b){
			return "1";
		} else {
			return "0";
		}
	}

	/**
	 * 与えられたStringが"1"であればtrue、"0"であればfalseを戻す。
	 * @param sting Stringオブジェクト
	 * @return true("1") あるいは false("0")
	 */
	public static boolean FLGTobool(String string) {
		if ("1".equals(string)) {
			return true;
		} else {
			return false;
		}
	}


	/**
	 * 配列をArrayListに格納する。
	 * @param objects 配列
	 * @return ArrayListオブジェクト
	 */
	public static ArrayList arrayToArrayList(Object[] objects) {
		if (objects == null) {
			throw new IllegalArgumentException();
		}

		ArrayList arrayList = new ArrayList();
		for (int i = 0; i < objects.length; i++ ){
			arrayList.add(objects[i]);
		}
		return arrayList;
	}

}
